## dlt-viewer 2.18.0%2Bdfsg

=== parser/CMakeLists.txt ===
# Copyright (C) 2016, Jack S. Smith
# 
# This file is part of GENIVI DLT-Viewer project.
#   
# This Source Code Form is subject to the terms of the
# Mozilla Public License (MPL), v. 2.0.
# If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.
#
# For further information see http://www.genivi.org/.
#
# List of changes:
# 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
#

set (CMAKE_AUTOUIC ON)

# cmake 2.8.12 doesn't have AUTOUIC ??
QT5_WRAP_UI( UI_HEADERS ${CMAKE_CURRENT_SOURCE_DIR}/mainwindow.ui )

#message( STATUS "UI_HEADERS=[${UI_HEADERS}]")

add_executable(dlt_parser main.cpp
                          mainwindow.cpp
                          mainwindow.ui
                          qdltparser.cpp
                          ${UI_HEADERS})

target_link_libraries(dlt_parser Qt5::Widgets )

install(TARGETS dlt_parser DESTINATION deploy)
