=== debian/control ===
Source: dlt-viewer
Section: devel
Priority: optional
Maintainer: Stefan Potyra <stefan@potyra.de>
Uploaders: Bruno "Fuddl" Kleinert <fuddl@debian.org>,
 Aigars Mahinovs <aigarius@debian.org>
Build-Depends: debhelper-compat (= 12),
 qtbase5-dev,
 qtdeclarative5-dev,
 libqt5serialport5-dev,
 cmake,
 asciidoc,
 dblatex
Standards-Version: 4.3.0.3
Homepage: https://at.projects.genivi.org/wiki/display/PROJ/Diagnostic+Log+and+Trace

Package: dlt-viewer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Viewer for GENIVI DLT traces
 The Diagnostic Log and Trace Viewer is an application that can send and
 receive control messages to the DLT daemon, e.g., to set individual log
 levels of applications and contexts or get the list of applications
 and contexts registered in the DLT daemon.

Package: dlt-viewer-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Viewer for GENIVI DLT traces - development files
 The Diagnostic Log and Trace Viewer is an application that can send and
 receive control messages to the DLT daemon, e.g., to set individual log
 levels of applications and contexts or get the list of applications
 and contexts registered in the DLT daemon.
 .
 This package contains the development files for plugin development.
