=== debian/changelog ===
dlt-viewer (2.18.0+dfsg-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:12:50 +0100

dlt-viewer (2.18.0+dfsg-1) unstable; urgency=medium

  * Initial Release, closes: #926475.

 -- Stefan Potyra <stefan@potyra.de>  Sun, 07 Apr 2019 14:38:26 +0200
