=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DLT_USERGUIDES := \
	doc/dlt_viewer_plugins_programming_guide.pdf \
	doc/dlt_viewer_user_manual.pdf

debian/doc-stamp: doc/dlt_viewer_user_manual.txt doc/dlt_viewer_plugins_programming_guide.txt
	cd doc && sh convert.sh && cd ..
	touch $@

$(DLT_USERGUIDES): debian/doc-stamp
	@true

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
              -DUSE_STANDARD_INSTALLATION_LOCATION=ON

override_dh_installdocs: $(DLT_USERGUIDES)
	dh_installdocs

override_dh_clean:
	$(RM) doc/dlt_viewer_plugins_programming_guide.pdf \
		doc/dlt_viewer_user_manual.pdf \
		debian/doc-stamp
	dh_clean
