=== parser/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Copyright (C) 2016, Jack S. Smith
-# 
+#
 # This file is part of GENIVI DLT-Viewer project.
-#   
+#
 # This Source Code Form is subject to the terms of the
 # Mozilla Public License (MPL), v. 2.0.
 # If a copy of the MPL was not distributed with this file,
@@ -12,8 +12,6 @@
 # List of changes:
 # 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
 #
-
-set (CMAKE_AUTOUIC ON)
 
 # cmake 2.8.12 doesn't have AUTOUIC ??
 QT5_WRAP_UI( UI_HEADERS ${CMAKE_CURRENT_SOURCE_DIR}/mainwindow.ui )
@@ -28,4 +26,4 @@
 
 target_link_libraries(dlt_parser Qt5::Widgets )
 
-install(TARGETS dlt_parser DESTINATION deploy)
+install(TARGETS dlt_parser DESTINATION ${EXECUTABLE_INSTALLATION_PATH})
