=== qdlt/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Copyright (C) 2016, Jack S. Smith
-# 
+#
 # This file is part of GENIVI DLT-Viewer project.
-#   
+#
 # This Source Code Form is subject to the terms of the
 # Mozilla Public License (MPL), v. 2.0.
 # If a copy of the MPL was not distributed with this file,
@@ -12,7 +12,15 @@
 # List of changes:
 # 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
 #
-add_library (qdlt dlt_common.c
+
+set(QDLT_LIBRARY_TYPE STATIC)
+
+if(WIN32)
+add_definitions(-DQDLT_LIBRARY)
+set(QDLT_LIBRARY_TYPE SHARED)
+endif()
+
+add_library (qdlt ${QDLT_LIBRARY_TYPE} dlt_common.c
                   qdltipconnection.cpp
                   qdlttcpconnection.cpp
                   qdltudpconnection.cpp
@@ -32,10 +40,15 @@
                   qdltsegmentedmsg.cpp)
 
 target_include_directories (qdlt  PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}
-                                          ${CMAKE_CURRENT_SOURCE_DIR}/../qextserialport/src
-                                          ${CMAKE_CURRENT_SOURCE_DIR}/../src)
+                                         ${CMAKE_CURRENT_SOURCE_DIR}/../src)
 
-target_link_libraries(qdlt Qt5::Core Qt5::Widgets Qt5::Gui Qt5::Network)
-#target_link_libraries(qdlt Qt5::Core Qt5::Network)
+#target_link_libraries(qdlt Qt5::Core Qt5::Network Qt5::SerialPort)
+target_link_libraries(qdlt Qt5::Core Qt5::Network Qt5::Widgets Qt5::SerialPort)
 
-install(TARGETS qdlt DESTINATION deploy)
+if(WIN32)
+set(QDLT_LINK_LIBS ${QDLT_LINK_LIBS} ws2_32)
+endif()
+
+target_link_libraries(qdlt ${QDLT_LINK_LIBS})
+
+install(TARGETS qdlt DESTINATION ${LIBRARY_INSTALLATION_PATH})
