=== src/CMakeLists.txt ===
--- 
+++ 
@@ -14,10 +14,8 @@
 #
 
 cmake_minimum_required (VERSION 2.8.12)
-set (CMAKE_VERBOSE_MAKEFILE FALSE)
 
-
-set (CMAKE_AUTOUIC ON)
+set (TARGET_NAME dlt-viewer)
 
 # cmake 2.8.12 doesn't have AUTOUIC ??
 FILE(GLOB ALL_UIS ${CMAKE_CURRENT_SOURCE_DIR}/*.ui)
@@ -25,7 +23,8 @@
 
 QT5_ADD_RESOURCES(UI_RESOURCES_RCC resource.qrc)
 
-add_executable (dlt-viewer main.cpp
+add_executable (${TARGET_NAME}
+    main.cpp
     mainwindow.cpp
     project.cpp
     ecudialog.cpp
@@ -56,17 +55,22 @@
     dltmsgqueue.cpp
     dltfileindexerthread.cpp
     dltfileindexerdefaultfilterthread.cpp
+    mcudpsocket.cpp
     resource.qrc
     ${UI_HEADERS}
-    ${UI_RESOURCES_RCC})
-message( STATUS "Qt5Widgets_LIBRARIES ${Qt5Widgets_LIBRARIES}")
-target_link_libraries(dlt-viewer  qdlt
-                                  qextserialport
-                                  ${Qt5Core_LIBRARIES}
-                                  ${Qt5Network_LIBRARIES}
-                                  ${Qt5Widgets_LIBRARIES}
-                                  ${Qt5SerialPort_LIBRARIES})
+    ${UI_RESOURCES_RCC}
+)
 
-install(TARGETS dlt-viewer DESTINATION deploy)
+target_link_libraries (${TARGET_NAME}
+    qdlt
+    Qt5::Core
+    Qt5::Network
+    Qt5::Widgets
+    Qt5::SerialPort
+)
+
+install(TARGETS ${TARGET_NAME} DESTINATION deploy)
 install(DIRECTORY icon png svg DESTINATION deploy
-			PATTERN icon/*.rc EXCLUDE )
+        PATTERN icon/*.rc EXCLUDE )
+
+include (${CMAKE_SYSTEM_NAME}.cmake OPTIONAL)
