=== debian/changelog ===
dlt-viewer (2.19.0+dfsg-1) unstable; urgency=medium

  * New upstream version, closes: #947829.
  * debian/watch: Add watch file, thanks Gianfranco Costamagna!
  * debian/rules:
    + Update to build user's guide.
    + Disable usage of RPATH.
  * debian/dlt-viewer.docs: Remove README.txt, no longer present.
  * debian/patches/02_fix_desktop_file.patch: Integrated upstream, no
    longer required.
  * debian/patches/01_fix_install_location.patch: Minimize for the only
    last bit missing upstream (since I forgot to forward this).
  * debian/patches/02_remove_rpath.patch: Add new patch to make usage
    of RPATH optional.
  * debian/copyright:
    + Mention excluded files.
    + Remove no longer applicable content.
  * debian/TODO.Debian:
    + Renamed to debian/TODO.
    + Remove need for watch file.
  * debian/control:
    + Add Vcs URLs.
    + Update standards-version, no further changes required.

 -- Stefan Potyra <stefan@potyra.de>  Sat, 04 Jan 2020 20:25:03 +0100
