=== debian/control ===
--- 
+++ 
@@ -11,8 +11,10 @@
  cmake,
  asciidoc,
  dblatex
-Standards-Version: 4.3.0.3
+Standards-Version: 4.4.1
 Homepage: https://at.projects.genivi.org/wiki/display/PROJ/Diagnostic+Log+and+Trace
+Vcs-Browser: https://salsa.debian.org/sistpoty-guest-guest/dlt-viewer
+Vcs-Git: https://salsa.debian.org/sistpoty-guest-guest/dlt-viewer.git
 
 Package: dlt-viewer
 Architecture: any
