## dlt-viewer 2.21.1+dfsg

=== debian/changelog ===
dlt-viewer (2.21.1+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove unused license definitions for MIT.
  * Update standards version to 4.5.0, no changes needed.
  * Remove 1 unused lintian overrides.

  [ Gianfranco Costamagna ]
  * Add mylself to uploaders
  * Exclude another pdf file from tarball
  * New upstream version 2.21.0+dfsg (Closes: #976286)
  * drop patch 01_fix_install_location.patch: upstream
  * Refresh patch 02_remove_rpath.patch
  * Adjust desktop file for new upstream naming
  * Install new png icon

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 30 Jan 2021 13:35:57 +0100
