=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Stefan Potyra <stefan@potyra.de>
 Uploaders: Bruno "Fuddl" Kleinert <fuddl@debian.org>,
- Aigars Mahinovs <aigarius@debian.org>
+ Aigars Mahinovs <aigarius@debian.org>,
+ Gianfranco Costamagna <locutusofborg@debian.org>
 Build-Depends: debhelper-compat (= 12),
  qtbase5-dev,
  qtdeclarative5-dev,
@@ -11,7 +12,7 @@
  cmake,
  asciidoc,
  dblatex
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://at.projects.genivi.org/wiki/display/PROJ/Diagnostic+Log+and+Trace
 Vcs-Browser: https://salsa.debian.org/sistpoty-guest-guest/dlt-viewer
 Vcs-Git: https://salsa.debian.org/sistpoty-guest-guest/dlt-viewer.git
