## dlt-viewer 2.21.2+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,10 +16,16 @@
 
 cmake_minimum_required (VERSION 3.1)
 
-project (dlt_viewer)
+project (dlt-viewer)
 
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
+
+set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
+
+if(NOT CMAKE_BUILD_TYPE)
+  set(CMAKE_BUILD_TYPE "Release" CACHE STRING "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel." FORCE)
+endif()
 
 set(QT_VERSION_REQ "5")
 
@@ -42,13 +48,15 @@
 get_filename_component(QT_LIB_DIR ${QT_LIBRARY_PATH} DIRECTORY)
 set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_RPATH};${QT_LIB_DIR}")
 
-SET(CMAKE_C_FLAGS  "${CMAKE_C_FLAGS} -std=gnu99")
-add_definitions( "-Wall" )
-add_definitions( "-Wextra" )
-add_definitions( "-pedantic" )
-add_definitions( "-Wno-variadic-macros" )
-add_definitions( "-Wno-strict-aliasing" )
-
+# Injection of the GCC-specific compilation flags
+if(NOT CMAKE_CXX_COMPILER_ID MATCHES "MSVC")
+    SET(CMAKE_C_FLAGS  "${CMAKE_C_FLAGS} -std=gnu99")
+    add_definitions( "-Wall" )
+    add_definitions( "-Wextra" )
+    add_definitions( "-pedantic" )
+    add_definitions( "-Wno-variadic-macros" )
+    add_definitions( "-Wno-strict-aliasing" )
+endif()
 
 # build executables in build/bin directory
 set(BIN_DIR ${CMAKE_BINARY_DIR}/bin)
