=== qdlt/CMakeLists.txt ===
--- 
+++ 
@@ -35,15 +35,18 @@
                   qdltfilterlist.cpp
                   qdltfilterindex.cpp
                   qdltdefaultfilter.cpp
+                  qdltmessagedecoder.cpp
                   qdltpluginmanager.cpp
                   qdltplugin.cpp
-                  qdltsegmentedmsg.cpp)
+                  qdltsegmentedmsg.cpp
+                  qdltoptmanager.cpp
+                  qdltsettingsmanager.cpp)
 
 target_include_directories (qdlt  PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}
                                          ${CMAKE_CURRENT_SOURCE_DIR}/../src)
 
 #target_link_libraries(qdlt Qt5::Core Qt5::Network Qt5::SerialPort)
-target_link_libraries(qdlt Qt5::Core Qt5::Network Qt5::Widgets Qt5::SerialPort)
+target_link_libraries(qdlt Qt5::Core Qt5::Network Qt5::Widgets Qt5::SerialPort -lstdc++)
 
 if(WIN32)
 set(QDLT_LINK_LIBS ${QDLT_LINK_LIBS} ws2_32)
