=== src/CMakeLists.txt ===
--- 
+++ 
@@ -36,8 +36,6 @@
     injectiondialog.cpp
     searchdialog.cpp
     multiplecontextdialog.cpp
-    optmanager.cpp
-    dltsettingsmanager.cpp
     tablemodel.cpp
     filtertreewidget.cpp
     dltfileutils.cpp
@@ -69,8 +67,8 @@
     Qt5::SerialPort
 )
 
-install(TARGETS ${TARGET_NAME} DESTINATION deploy)
-install(DIRECTORY icon png svg DESTINATION deploy
+install(TARGETS ${TARGET_NAME} DESTINATION ${EXECUTABLE_INSTALLATION_PATH})
+install(DIRECTORY icon png svg DESTINATION ${RESOURCE_INSTALLATION_PATH}
         PATTERN icon/*.rc EXCLUDE )
 
 include (${CMAKE_SYSTEM_NAME}.cmake OPTIONAL)
