=== plugin/dltdbusplugin/CMakeLists.txt ===
--- 
+++ 
@@ -13,8 +13,6 @@
 # 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
 #
 
-set (CMAKE_AUTOUIC ON)
-
 # cmake 2.8.12 doesn't have AUTOUIC ??
 QT5_WRAP_UI( UI_HEADERS ${CMAKE_CURRENT_SOURCE_DIR}/form.ui )
 
@@ -25,4 +23,4 @@
 
 target_link_libraries(dltdbusplugin qdlt Qt5::Widgets )
 
-install(TARGETS dltdbusplugin DESTINATION deploy/plugins)
+add_plugin(dltdbusplugin)
