=== plugin/dltsystemviewerplugin/CMakeLists.txt ===
--- 
+++ 
@@ -13,8 +13,6 @@
 # 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
 #
 
-set (CMAKE_AUTOUIC ON)
-
 # cmake 2.8.12 doesn't have AUTOUIC ??
 QT5_WRAP_UI( UI_HEADERS ${CMAKE_CURRENT_SOURCE_DIR}/form.ui )
 
@@ -23,4 +21,5 @@
                           	${UI_HEADERS})
 
 target_link_libraries(dltsystemviewerplugin qdlt Qt5::Widgets )
-install(TARGETS dltsystemviewerplugin DESTINATION deploy/plugins)
+
+add_plugin(dltsystemviewerplugin)
