=== plugin/dummycontrolplugin/CMakeLists.txt ===
--- 
+++ 
@@ -15,8 +15,6 @@
 #
 
 
-set (CMAKE_AUTOUIC ON)
-
 #cmake 2.8.12 doesn't have AUTOUIC ??
 QT5_WRAP_UI( UI_HEADERS ${CMAKE_CURRENT_SOURCE_DIR}/form.ui )
 
@@ -25,4 +23,4 @@
    ${UI_HEADERS})
 
 target_link_libraries(dummycontrolplugin qdlt Qt5::Widgets )
-install(TARGETS dummycontrolplugin DESTINATION deploy/plugins)
+add_plugin(dummycontrolplugin)
