=== debian/changelog ===
dlt-viewer (2.21.2+dfsg-3) unstable; urgency=medium

  * Add missing qdlt/qdlt*.h to dev package
  * Bump compat level to 13 again

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 01 Sep 2021 11:42:30 +0200

dlt-viewer (2.21.2+dfsg-2) unstable; urgency=medium

  * Revert compat level bump to let package migrate to testing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 04 Apr 2021 11:22:20 +0200

dlt-viewer (2.21.2+dfsg-1) unstable; urgency=medium

  * New upstream version 2.21.2+dfsg
  * Add R^3: no
  * Bump compat level to 13
  * Also install upstream png icons

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 27 Mar 2021 09:29:15 +0100
