=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Bruno "Fuddl" Kleinert <fuddl@debian.org>,
  Aigars Mahinovs <aigarius@debian.org>,
  Gianfranco Costamagna <locutusofborg@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  qtbase5-dev,
  qtdeclarative5-dev,
  libqt5serialport5-dev,
@@ -13,6 +13,7 @@
  asciidoc,
  dblatex
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://at.projects.genivi.org/wiki/display/PROJ/Diagnostic+Log+and+Trace
 Vcs-Browser: https://salsa.debian.org/sistpoty-guest-guest/dlt-viewer
 Vcs-Git: https://salsa.debian.org/sistpoty-guest-guest/dlt-viewer.git
