=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

doc/dlt_viewer_user_manual.pdf: doc/dlt_viewer_user_manual.tex
	cd doc && \
		pdflatex $(^F) && \
		pdflatex $(^F) && \
		cd ..
	$(RM) doc/dlt_viewer_user_manual.aux \
		doc/dlt_viewer_user_manual.log \
		doc/dlt_viewer_user_manual.out \
		doc/dlt_viewer_user_manual.toc

doc/dlt_viewer_plugins_programming_guide.pdf: doc/dlt_viewer_plugins_programming_guide.txt
	cd doc && sh convert.sh && cd ..

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
              -DUSE_STANDARD_INSTALLATION_LOCATION=ON \
	      -DUSE_QT_RPATH=OFF

override_dh_installdocs: doc/dlt_viewer_user_manual.pdf doc/dlt_viewer_plugins_programming_guide.pdf
	dh_installdocs

override_dh_clean:
	$(RM) doc/dlt_viewer_plugins_programming_guide.pdf \
		doc/dlt_viewer_user_manual.pdf \
		debian/doc-stamp
	dh_clean
