=== debian/watch ===
version=3
opts=dversionmangle=s/(\+|\.)dfsg$// \
        https://github.com/GENIVI/dlt-viewer/tags .*/v?(\d\S*)\.tar\.gz
